#!/usr/bin/python
# -*- coding: utf-8 -*-
import sys
sys.path.append('/usr/local/lib/cpi3adc')

from adc_value import *
#from adc_value2 import *

import cgi

form = cgi.FieldStorage()

print "Content-Type: text/html" #;charset=utf-8"
print



print """
<html>
<head>
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="EXPIRES" CONTENT="Mon, 22 Jul 2002 11:12:01 GMT">
<script type="text/javascript" src="dygraph-combined.js"></script>
</head>
<body>
<h1 style="text-align: center;">
"""
try:
    form["graph"] # does a exist in the current namespace
except KeyError:
    graph = "value"
else:
  graph = form["graph"].value
 

if graph == "adc":
  print "ADC"
elif graph == "volt":
  print "VOLT"  
elif graph == "in":
  print "INGRESSO -",UNIT_INGRESSO
else:
  print "VALORI -",UNIT_STRUMENTO

print """
</h1>
<a href="?graph=adc">ADC</a>&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp; <a href="?graph=volt">Volt</a>&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp; <a href="?graph=in">Ingresso</a>&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp; <a href="?graph=value">Valori</a><br>

<div id="graphdiv" style="width:900; height:600px;"></div>
<script type="text/javascript">
 
  function addZero(num)
  {
    var s=num+"";
    if (s.length < 2) s="0"+s;
    return s;
  }
 
  function dateFormat(indate)
  {
    var hh = addZero(indate.getHours());
    var MM = addZero(indate.getMinutes());
    var ss = addZero(indate.getSeconds());
    var dd = addZero(indate.getDate());
    var mm = addZero(indate.getMonth()+1);
    var yyyy = addZero(indate.getFullYear());
    return dd+'/'+mm+' '+hh+':'+MM+':'+ss;
  }
 
  g = new Dygraph(
    document.getElementById("graphdiv"),
"""
               
if graph == "adc":
  print '"csv/adc.csv",'
elif graph == "volt":
  print '"csv/volt.csv",'  
elif graph == "in":
  print '"csv/in.csv",'
else:
  print '"csv/value.csv",'

print """
    {
      xValueParser: function(x) {
        var date = new Date(x.replace(
          /^(\d{4})(\d\d)(\d\d)(\d\d)(\d\d)(\d\d)$/,
          '$4:$5:$6 $2/$3/$1'
        ));
        return date.getTime();
      },
      axes: {
        x: {
          ticker: Dygraph.dateTicker,
          axisLabelFormatter: function(x) {
            return dateFormat(new Date(x));
          },
          valueFormatter: function(x) {
            return dateFormat(new Date(x));
          }
        }
      },
      labelsDivWidth: 410,
      //rollPeriod: 30,
      strokeWidth: 2.0,
"""
               
if graph == "adc":
  print "labels: ['Date','CH1','CH2','CH3','CH4','CH5','CH6','CH7','CH8']"
elif graph == "volt":
  print "labels: ['Date','CH1 (V)','CH2 (V)','CH3 (V)','CH4 (V)','CH5 (V)','CH6 (V)','CH7 (V)','CH8 (V)']"  
elif graph == "in":
  print "labels: ['Date','CH1 ("+UNIT_IN1+")','CH2 ("+UNIT_IN2+")','CH3 ("+UNIT_IN3+")','CH4 ("+UNIT_IN4+")','CH5 ("+UNIT_IN5+")','CH6 ("+UNIT_IN6+")','CH7 ("+UNIT_IN7+")','CH8 ("+UNIT_IN8+")']"  
else:
  print "labels: ['Date','CH1 ("+UNIT_STR1+")','CH2 ("+UNIT_STR2+")','CH3 ("+UNIT_STR3+")','CH4 ("+UNIT_STR4+")','CH5 ("+UNIT_STR5+")','CH6 ("+UNIT_STR6+")','CH7 ("+UNIT_STR7+")','CH8 ("+UNIT_STR8+")']"  
  
        

print """
    }
  );
</script>
</body>
</html>
"""

